<bugID>833092<Summary>Improve the GCLI hint system</Summary><Description>There are several strands to how we should make GCLIs hint system better. This bug brings the various ideas together so we can think about them as a whole rather than lots of partial ideas.</Description></bugID>